<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>CSS Introduction</title>
		<!-- Internal Styling - these are styles added using a style tag inside the HTML file.-->
		
			<!--CSS Syntax:  
					selector {
						property:  value;
						}

				selector - determines which element will the styling applied

				property - the selected styling attribute to be modified in a given selector

				value - the modified value of the selected styling attribute
			-->
				
			<!-- <style type="text/css">
				h1{
					color: blue;
				}
			</style> -->

			<link rel="stylesheet" type="text/css" href="./index.css">
	</head>
	<body>
		<!-- CSS Specificity Rule -->
		<!-- 
			Including CSS in HTML
			- Inline Styling (Highest)
			- Internal Styling
			- External Styling (Lowest)
		 -->

		 <!-- 
		 CSS Selector
			- ID selector (Highest)
			- Class selector
			- Attribute selector
			- Type/tag selector
			- Universal selector (Lowest)
		  -->

		  <nav>
		  	<a href="#landing"> Zuitt</a>
		  	<div>
		  		<a href="#landing">Landing</a>
		  		<a href="#register">Register</a>
		  	</div>
		  </nav>
		<!-- Inline Styling - these are styles added within the HTML element through the style attribute
			ex. <h1 style="color:red;">Hello World</h1>
		-->
		<h1 >Hello World</h1>

		<section id="#landing">
			<h2>Welcome to Zuitt!</h2>
			<h3 id="zuitt-motto">Opportunities for everyone, everywhere!</h3>

			<img src="https://place-puppy.com/450x450">

			<ol id="bootcamp-learning-list">
			<li class="offering-item">Day Classes</li>
			<li class="offering-item">Night Classes</li>
			<li class="offering-item">Intro to Coding Events</li>
			</ol>

			<a href="#top">Back to Top</a>

		</section>
		<section id="#register">
			<h2>Register</h2>
			<form>
				<label for="firstName">First Name</label>
				<input type="text" name="firstName" id="firstName" required autocomplete>

				<label for="lastName">Last Name</label>
				<input type="text" name="lastName" id="lastName" required autocomplete>

				<label for="email">Email</label>
				<input type="email" name="email" id="email" required autocomplete>

				<button type="submit">Apply Now</button>
			</form>

			<a href="#top">Back to Top</a>

		</section>

		

		
		<!-- <h2>CSS Selector Combinators</h2>
		<div id="parent">
			<p>First Paragraph</p>
			<p>Second Paragraph</p>
			<section>
				<p>Third Paragraph</p>
			</section>
		</div>
		<p>Fourth Paragraph</p>
		<p>Fifth Paragraph</p>

		<div>
			<p>Sixth Paragraph</p>
			<p>Seventh Paragraph</p>
		</div>
		<p> Sample Paragraph</p>
		<div>
			<p>Eighth Paragraph</p>
			<p>Ninth Paragraph</p>
			<p>Tenth Paragraph</p>
			<section>
				<p>Eleventh Paragraph</p>
			</section>
		</div> -->
	</body>
</html>